Package org.eclipse.swt.graphics

# Class GCData

java.lang.Object
org.eclipse.swt.graphics.GCData

public final class GCData extends Object
Instances of this class are descriptions of GCs in terms of unallocated platform-specific data fields.

IMPORTANT: This class is not part of the public API for SWT. It is marked public only so that it can be shared within the packages provided by SWT. It is not available on all platforms, and should never be called from application code.

See Also:
  - Sample code and further information
Restriction:
  This class is not intended to be referenced by clients

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`alpha`
`int`
`background`
`Pattern`
`backgroundPattern`
`Device`
`device`
`boolean`
`focusDrawn`
`Font`
`font`
`int`
`foreground`
`Pattern`
`foregroundPattern`
`long`
`gdipBgBrush`
`long`
`gdipBgPatternBrushAlpha`
`long`
`gdipBrush`
`long`
`gdipFgBrush`
`long`
`gdipFgPatternBrushAlpha`
`long`
`gdipFont`
`long`
`gdipGraphics`
`long`
`gdipPen`
`float`
`gdipXOffset`
`float`
`gdipYOffset`
`long`
`hBrush`
`long`
`hGDIFont`
`long`
`hNullBitmap`
`long`
`hOldBrush`
`long`
`hOldPen`
`long`
`hPen`
`long`
`hwnd`
`Image`
`image`
`int`
`layout`
`int`
`lineCap`
`float[]`
`lineDashes`
`float`
`lineDashesOffset`
`int`
`lineJoin`
`float`
`lineMiterLimit`
`int`
`lineStyle`
`float`
`lineWidth`
`org.eclipse.swt.internal.win32.PAINTSTRUCT`
`ps`
`int`
`state`
`int`
`style`
`int`
`uiState`

## Constructor Summary

Constructors
Constructor
Description
`GCData()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### device

public Device device

### style

public int style

### state

public int state

### foreground

public int foreground

### background

public int background

### font

public Font font

### foregroundPattern

public Pattern foregroundPattern

### gdipFgPatternBrushAlpha

public long gdipFgPatternBrushAlpha

### backgroundPattern

public Pattern backgroundPattern

### gdipBgPatternBrushAlpha

public long gdipBgPatternBrushAlpha

### lineStyle

public int lineStyle

### lineWidth

public float lineWidth

### lineCap

public int lineCap

### lineJoin

public int lineJoin

### lineDashesOffset

public float lineDashesOffset

### lineDashes

public float[] lineDashes

### lineMiterLimit

public float lineMiterLimit

### alpha

public int alpha

### image

public Image image

### ps

public org.eclipse.swt.internal.win32.PAINTSTRUCT ps

### layout

public int layout

### hPen

public long hPen

### hOldPen

public long hOldPen

### hBrush

public long hBrush

### hOldBrush

public long hOldBrush

### hNullBitmap

public long hNullBitmap

### hwnd

public long hwnd

### gdipGraphics

public long gdipGraphics

### gdipPen

public long gdipPen

### gdipBrush

public long gdipBrush

### gdipFgBrush

public long gdipFgBrush

### gdipBgBrush

public long gdipBgBrush

### gdipFont

public long gdipFont

### hGDIFont

public long hGDIFont

### gdipXOffset

public float gdipXOffset

### gdipYOffset

public float gdipYOffset

### uiState

public int uiState

### focusDrawn

public boolean focusDrawn

## Constructor Details

### GCData

public GCData()